Bug 1211730 - [RFE] Add cloud-init package to the appliance
Summary: [RFE] Add cloud-init package to the appliance
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
(Show other bugs)
Version: 5.4.0
Hardware: Unspecified Unspecified
high
high
Target Milestone: GA
: 5.5.0
Assignee: Nick Carboni
QA Contact: Nandini Chandra
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 1244937
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-14 18:24 UTC by Joe Rafaniello
Modified: 2015-12-08 13:05 UTC (History)
14 users (show)

Fixed In Version: 5.5.0.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 13:05:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Joe Rafaniello 2015-04-14 18:24:42 UTC
Description of problem:  Users may want to run cloud-init scripts on new deployed appliances, so we need to have the cloud-init package installed by default.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 CFME Bot 2015-04-16 22:31:01 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/e5cf1565330441000ddec3763f5cd239740f73e2

commit e5cf1565330441000ddec3763f5cd239740f73e2
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Tue Apr 14 14:15:58 2015 -0400
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Tue Apr 14 14:25:32 2015 -0400

    Install cloud-init package on the centos appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730
    
    [skip ci]

 build/kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 3 Joe Vlcek 2015-04-21 20:54:41 UTC
I made the changes downstream but during testing I discovered that cloud-init has disabled ssh PasswordAuthentication

Google reports a number of articles noting this unfavorable cloud-init behavior.

e.g.:
# grep ^PasswordAuthentication /etc/ssh/sshd_config
PasswordAuthentication no

The work around is to break into the appliance console and
modify the /etc/ssh/sshd_config file to allow PasswordAuthentication
then restart sshd.

e.g.:
# sed -i "s/^PasswordAuthentication no.*/PasswordAuthentication yes/g" /etc/ssh/sshd_config
# /etc/init.d/sshd restart


So I can add cloud-init to the image but known issues with cloud-init disable ssh password authentication

Comment 4 Joe Vlcek 2015-04-21 20:58:05 UTC
(In reply to Joe Vlcek from comment #3)
> I made the changes downstream but during testing I discovered that
> cloud-init has disabled ssh PasswordAuthentication
> 
> Google reports a number of articles noting this unfavorable cloud-init
> behavior.
> 
> e.g.:
> # grep ^PasswordAuthentication /etc/ssh/sshd_config
> PasswordAuthentication no
> 
> The work around is to break into the appliance console and
> modify the /etc/ssh/sshd_config file to allow PasswordAuthentication
> then restart sshd.
> 
> e.g.:
> # sed -i "s/^PasswordAuthentication no.*/PasswordAuthentication yes/g"
> /etc/ssh/sshd_config
> # /etc/init.d/sshd restart
> 
> 
> So I can add cloud-init to the image but known issues with cloud-init
> disable ssh password authentication

Oleg,

Please advise or direct me to who should make the call of building images with cloud-init even tough cloud-init disables ssh password authentication.

Thanks, JoeV

Comment 5 Sean Myers 2015-04-21 21:21:40 UTC
This explains why we (CFME QE) aren't able to SSH into upstream appliances anymore. Disabling password auth by default would be a fairly astonishing change (I was, in fact, astonished).

A solution for us could be to have our cloud-init setup script re-enable SSH password auth, though. Another could be playing along and using pubkey auth. I'll look into how easy that is to wire into our appliance deployment automation.

Comment 6 Joe Rafaniello 2015-04-21 21:37:57 UTC
Found this on while googling this issue:

http://stackoverflow.com/a/23411409

"Edit /etc/cloud/cloud.cfg, a yaml file, to reflect your desired configuration. Below is a minimal configuration with documentation for each module.

#If this is not explicitly false, cloud-init will change things so that root
#login via ssh is disabled. If you don't want it to do anything, set it false.
disable_root: false
...

Comment 7 CFME Bot 2015-04-23 16:16:20 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/5517dfa6fb1a548c34c12b4b1d5a043e21b9dc51

commit 5517dfa6fb1a548c34c12b4b1d5a043e21b9dc51
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Thu Apr 23 11:15:35 2015 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Thu Apr 23 11:15:35 2015 -0400

    Enable ssh Password Authentication when using cloud-init
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 build/kickstarts/base.ks.erb | 3 +++
 1 file changed, 3 insertions(+)

Comment 8 Oleg Barenboim 2015-04-23 17:56:05 UTC
Per JoeV, "the boot time for vsphere has increased from about 30 seconds to over 2 minutes. This is because cloud-init is attempting to access the user meta-data as if it is on EC2."

Comment 9 Sean Myers 2015-04-28 21:49:03 UTC
(In reply to Oleg Barenboim from comment #8)
> Per JoeV, "the boot time for vsphere has increased from about 30 seconds to
> over 2 minutes. This is because cloud-init is attempting to access the user
> meta-data as if it is on EC2."

I see that we've got "disable-ec2-metadata" in the cloud-init config, but my cloud-init logs still show attempts to contact 169.254.169.254.

In addition, requests to "192.168.90.3" happen once the ec2 datasource finishes, which are coming from the CloudStack datasource.

I don't see how to disable the CloudStack datasource, though, so it might just be that we get to wait for cloud-init to try ec2 and cloudstack (two minutes for each) before falling back and finally booting.

Comment 10 Joe Vlcek 2015-04-29 12:48:57 UTC
(In reply to Sean Myers from comment #9)
> (In reply to Oleg Barenboim from comment #8)
> > Per JoeV, "the boot time for vsphere has increased from about 30 seconds to
> > over 2 minutes. This is because cloud-init is attempting to access the user
> > meta-data as if it is on EC2."
> 
> I see that we've got "disable-ec2-metadata" in the cloud-init config, but my
> cloud-init logs still show attempts to contact 169.254.169.254.
> 
> In addition, requests to "192.168.90.3" happen once the ec2 datasource
> finishes, which are coming from the CloudStack datasource.
> 
> I don't see how to disable the CloudStack datasource, though, so it might
> just be that we get to wait for cloud-init to try ec2 and cloudstack (two
> minutes for each) before falling back and finally booting.

Sounds like a bug in cloud-init

I observed the 2 minute wait also but only on initial boot.

Comment 12 Nandini Chandra 2015-05-15 19:11:41 UTC
Verified that the cloud-init rpm is now available on the CFME appliance.

Verified in 5.4.0.0.26

Comment 16 CFME Bot 2015-08-22 12:12:07 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 17 CFME Bot 2015-08-22 12:12:11 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 18 CFME Bot 2015-08-22 12:12:15 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 19 CFME Bot 2015-08-22 12:12:19 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 20 CFME Bot 2015-08-22 12:12:22 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 21 CFME Bot 2015-08-22 12:12:25 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 22 CFME Bot 2015-08-22 12:12:29 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 23 CFME Bot 2015-08-22 12:12:32 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 24 CFME Bot 2015-08-22 12:12:35 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 25 CFME Bot 2015-08-22 12:12:38 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 26 CFME Bot 2015-08-22 12:12:41 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 27 CFME Bot 2015-08-22 12:12:45 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 28 CFME Bot 2015-08-22 12:12:49 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 29 CFME Bot 2015-08-22 12:12:53 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 30 CFME Bot 2015-08-22 12:12:57 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 31 CFME Bot 2015-08-22 12:13:01 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 32 CFME Bot 2015-08-22 12:13:05 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 33 CFME Bot 2015-08-22 12:13:09 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 34 CFME Bot 2015-08-22 12:13:13 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 35 CFME Bot 2015-08-22 12:13:17 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 36 CFME Bot 2015-08-22 12:13:20 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 37 CFME Bot 2015-08-22 12:13:24 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 38 CFME Bot 2015-08-22 12:13:28 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 39 CFME Bot 2015-08-22 12:13:32 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 40 CFME Bot 2015-08-22 12:13:38 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 41 CFME Bot 2015-08-22 12:13:42 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 42 CFME Bot 2015-08-22 12:13:45 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 43 CFME Bot 2015-08-22 12:13:49 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 44 CFME Bot 2015-08-22 13:08:42 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 45 CFME Bot 2015-08-22 13:08:45 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 46 CFME Bot 2015-08-22 13:08:49 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 47 CFME Bot 2015-08-22 13:08:52 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 48 CFME Bot 2015-08-22 13:16:18 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 49 CFME Bot 2015-08-22 13:16:22 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 50 CFME Bot 2015-08-22 13:16:25 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 51 CFME Bot 2015-08-22 13:16:29 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 52 CFME Bot 2015-08-22 13:22:21 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/cccdb42a69ac47b36a482348cdc5059eb1488fd8

commit cccdb42a69ac47b36a482348cdc5059eb1488fd8
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:53:36 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:47:46 2015 -0400

    Add the cloud-init package to the kickstart file
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 ++
 1 file changed, 2 insertions(+)

Comment 53 CFME Bot 2015-08-22 13:22:24 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/f6468568c8ddfa1550af1288cf46469a51b4edf0

commit f6468568c8ddfa1550af1288cf46469a51b4edf0
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 11:58:29 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:14 2015 -0400

    Altered cloud-init default config to allow root ssh access
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 4 ++++
 1 file changed, 4 insertions(+)

Comment 54 CFME Bot 2015-08-22 13:22:28 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/3e325db80b1dbf4232d4701119d2d34d934a6e8a

commit 3e325db80b1dbf4232d4701119d2d34d934a6e8a
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 15:06:24 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:48:38 2015 -0400

    Added commands to alter the default logging config for cloud-init
    
    With these changes cloud-init will log command output to
    /var/log/cloud-init-output.log and will log other messages to
    /var/log/clout-init.log
    This eliminates logging to the console
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

Comment 55 CFME Bot 2015-08-22 13:22:32 UTC
New commit detected on manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/7dd7791b6b10ebbc255a4fc3f66618a71a4a73af

commit 7dd7791b6b10ebbc255a4fc3f66618a71a4a73af
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Aug 18 16:55:57 2015 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug 21 11:49:10 2015 -0400

    Changed ssh_pwauth option to True rather than "unchanged"
    
    The unchanged option added an empty "PasswordAuthentication" line to
    /etc/ssh/sshd_config if there was none present which broke ssh access.
    
    https://trello.com/c/whLBjNdu/102-appliance-cloudinit-agent-hangs-on-vsphere
    https://trello.com/c/b0AZDQjG/116-5-appliance-cloudinit-agent-to-be-included-in-the-appliance
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1211730

 kickstarts/base.ks.erb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 56 Nandini Chandra 2015-11-23 18:04:52 UTC
Verified in 5.5.0.11

Comment 58 errata-xmlrpc 2015-12-08 13:05:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.